      REAL FUNCTION DEPTH_INTEGRAL(TH,H)
#include "detector.inc"
#include "event.inc"
      COMMON/DEPTH_INT/THET,HEIGHT
      PARAMETER (zero=0., one=1., NSEG = 1, RELTOL = 1.e-3, ABSTOL = 0.
     &     ,MinCal = 1)
      EXTERNAL FunDEPTH,FunDEPTH8
      REAL A,B,TH,H
      REAL*8 A8,B8,RES8
*
      THET   = TH
      HEIGHT = H
      A = zero
      B = one 
      A8 = 0.d0
      B8 = 1.d0
c      IF (DEPT.EQ.1) THEN
      CALL RADAPT(FunDEPTH,A,B,NSEG,RELTOL,ABSTOL,RES,ERR)
c      CALL GeMSet(FunDEPTH8,RES8,A8,B8,DBLE(RELTOL),MinCal,*1000)
c      CALL GeMInt(FunDEPTH8,RES8,A8,B8,*1000)
c      DEPTH_INTEGRAL = REAL(RES8)
      DEPTH_INTEGRAL = RES
c      ENDIF
 1000 CONTINUE
      END

      REAL FUNCTION FunDEPTH(t)
#include "detector.inc"
      COMMON/DEPTH_INT/THET,HEIGHT
      H0 = 0.029269967*TEMP     ! in km 
      h = HEIGHT - H0*log(t)
      p = ATM(h)
 1    CONTINUE
      IF(CURV.EQ.1) THEN
         f = 1.-sin(THET)**2*(R_EARTH+HEIGHT)**2/(R_EARTH+h)**2
         f = sqrt(f)
      ELSEIF(CURV.EQ.2) THEN
         f = cos(THET)
      ELSE
         CURV = 1
         GOTO 1
      ENDIF
      IF(f.NE.0.) THEN
         FunDEPTH = H0*p/f/t
      ELSE
         FunDEPTH = 0.
      ENDIF
      END

      REAL*8 FUNCTION FunDEPTH8(t8)
#include "detector.inc"
      REAL*8 t8
      COMMON/DEPTH_INT/THET,HEIGHT
      t = REAL(t8)
      H0 = 0.029269967*TEMP     ! in km 
      h = HEIGHT - H0*log(t)
      p = ATM(h)
 1    CONTINUE
      IF(CURV.EQ.1) THEN
         f = 1.-sin(THET)**2*(R_EARTH+HEIGHT)**2/(R_EARTH+h)**2
         f = sqrt(f)
      ELSEIF(CURV.EQ.2) THEN
         f = cos(THET)
      ELSE
         CURV = 1
         GOTO 1
      ENDIF
      IF(f.NE.0.) THEN
         FunDEPTH8 = DBLE(H0*p/f/t)
      ELSE
         FunDEPTH8 = 0.
      ENDIF
      END
