      SUBROUTINE LOWTRAN_R_RINT(R1,R2,WAVE1,WAVE2,TFINAL)
      IMPLICIT NONE
#include "detector.inc"
#include "lowtran_ntuple.inc"
#include "lowtran.inc"
*     ... EXTERNAL FUNCTIONS ...
      REAL HXY
*     ... INPUT VARIABLES ...
      REAL R1(3),R2(3),WAVE1,WAVE2
*     ... OUTPUT VARIABLES ...
      REAL TFINAL
*     ... LOCAL VARIABLES ...
      REAL T_H1_H2,Hstar,H_INT,THETA_INT
      REAL PI,ANGL1,ANGL2,HR1,HR2,V,V1C,V2C,V1D,V2D,SUM
      INTEGER I,ID,lv,NV,ifound(200),isum
      
*     ... SOME CONSTANTS ...
      PI = ACOS(-1.)
      CALL IMPACT(R1,Hstar,H_INT,THETA_INT,HR1,ANGL1)
      CALL IMPACT(R2,Hstar,H_INT,THETA_INT,HR2,ANGL2)
*     ... INTEGRATE OVER CHERENKOV SPECTRUM ...
      NV = 100
      IF(WAVE1.NE.0.) V2D = 10**(7)/WAVE1
      IF(WAVE2.NE.0.) V1D = 10**(7)/WAVE2
      DV = (V2D-V1D)/NV
      SUM = 0.
*
      DO i = 1, 200
        ifound(i) = 0
      ENDDO
*
      DO I = 1, NV
        V = V1D + (I-1)*DV + DV/2
        lv = 0
        DO V1C = EV1, EV2-EDV, EDV
          lv = lv + 1
          ID = 50000 + lv
          V2C = V1C +  EDV
          IF(V1C.LE.V.AND.V.LT.V2C) THEN
            ifound(i) = 1
            T_H1_H2 = HXY(ID,HR1,ANGL1)/HXY(ID,HR2,ANGL2)
            IF(T_H1_H2.GT.1) T_H1_H2 = 1./T_H1_H2
            SUM = SUM + T_H1_H2
          ENDIF
        ENDDO
      ENDDO
      TFINAL = SUM/NV
      isum = 0
      DO i = 1, NV
        isum = isum + ifound(i) 
      ENDDO
*
      END
