      SUBROUTINE MIE_INIT
      IMPLICIT NONE
#include "detector.inc"
#include "book_histos.inc"
      REAL MIE_INTEGRAL
      REAL step_h,h,th
      INTEGER i_portion,i,j,k,L,ntmp,Nint,ID
*
      IF(IMIE.EQ.1) THEN
         CALL BOOK_HISTOS('DUMP')

*     ... COMPUTE MIE'S INTEGRALS AND SAVE THEM IN AUX.HBK

         WRITE(6,*) ' '
         WRITE(6,98)
         WRITE(6,99)
         step_h = Hmax/Nh       ! km
         Nint = Nh*Nth
         i_portion = Nint/10
         DO L = 1, 1
            k = 0
            ID = 10000*L
            DO i = 0, Nh-1
               h = i*step_h + step_h/2
               DO j = 0, Nth -1 
                  th = j*thmax/Nth + thmax/Nth/2
                  k = k + 1
                  CALL HFILL(ID,th,h,MIE_INTEGRAL(th,h))
                  ntmp = k/i_portion
                  ntmp = k - ntmp*i_portion
                  IF(ntmp.EQ.0) WRITE(6,100)
               ENDDO
            ENDDO
            WRITE(6,101)
            WRITE(6,*) ' '
         ENDDO
         WRITE(6,*) ' '
      ENDIF
 98   FORMAT(1x,'COMPUTING THE MIE INTEGRALS: ')
 99   FORMAT($,52x,' ')
 100  FORMAT($,1x,'.')
 101  FORMAT($,1x,'[done]')
      END
