      SUBROUTINE GENERATE_EVENT(Lmax)
      IMPLICIT NONE
#include "detector.inc"
#include "event.inc"
#include "cwntvars.inc"
#include "constants.inc"

      INTEGER FLUOR,CHER,i
      LOGICAL KEY_EVENT,KEY_TRIG
      REAL Lmin,Lmax,th1,ph1,z
*
      
      th1  = THETA/PI*180
      ph1  = PHI/PI*180
      z    = RINT(3) - R_EARTH
      CALL DEVELOP_SHOWER(Lmax,KEY_TRIG)
      IF(KEY_TRIG) THEN
        IF(ESAF.EQ.1) CALL ESAF_OUTPUT_HEADER(Lmax)
        IF(ESAF.EQ.1) CALL ESAF_OUTPUT(Lmax)
        WRITE(6,1) EVENT,EINT,TH1,PH1
        WRITE(6,2) (RINT(i),i=1,2),z
        WRITE(6,3)
      ENDIF
 1    FORMAT(1x,'=====>',1x,'GENERATE EVENT:',I5,1x,
     +     E6.1,' eV,',2(F6.1,' deg.,'))
 2    FORMAT($,20x,3(F9.3,' km.'))
 3    FORMAT(2x,'[done]')
      END
