      SUBROUTINE SLASTINIT
#include "detector.inc"
#include "event.inc"
#include "shower.inc"
#include "lowtran_ntuple.inc"
#include "paw.inc"
#include "random.inc"

      LOGICAL slast_aux,lowtran_aux,DEBUG/.FALSE./
*     ... PAW STUFF ...
      CHARACTER*1 HOPTION/'U'/
      REAL t
*
      CALL TIMEX(t)
      CALL HLIMIT(10 000 000)
      IQUEST(10)=256000
*     ... INITIALIZATIONS ...

      IF(DEBUG) CALL TEST_INITPOINT
      CALL HELLO
      CALL RANDOM_INIT
      CALL INIT
      CALL MESSAGE_INI
 3    CALL DEPTH_INIT
      CALL SPECTRUM_INIT
      CALL MIE_INIT
      CALL FLUOR_INIT
      IF(DEPT.EQ.1.OR.SPEC.EQ.1.OR.IMIE.EQ.1.OR.IFLU.EQ.1) THEN
         HOPTION = 'N'
         CALL HRPUT(0,'aux/slast.hbk',HOPTION)
      ENDIF
 4    CALL HDELET(0)
      CALL LOWTRAN_INIT
      IF(.NOT.(CH_FLAG.EQ.1.OR.FL_FLAG.EQ.1)) GOTO 2
      INQUIRE(File='aux/slast.hbk',EXIST=slast_aux)
      INQUIRE(File='aux/lowtran.rwn',EXIST=lowtran_aux)
      IF(slast_aux) THEN
        CALL HRGET(0,'aux/slast.hbk',' ')
      ELSE
        DEPT=1
        SPEC=1
        IMIE=1
        IFLU=1
        GOTO 3
      ENDIF  
      IF(LWTR.EQ.-1) GOTO 2
      IF(lowtran_aux) THEN
        CALL HRGET(0,'aux/lowtran.rwn',' ')
      ELSE
        LWTR=1
        GOTO 4
      ENDIF
 2    CONTINUE
      CALL TIMEX(t)
      WRITE(6,1) t
 1    FORMAT(1x,'=====>',1x,'TOTAL TIME FOR INITIALIZATIONS',1x,F12.2,1x
     &     ,'sec      [done]')

      END
