#!/bin/csh -f
set out = $1"ciproto.h"
set PACKAGE = $1
if ("$2" != "") then
  set file_list = "$2"
else
  set file_list = $1*.h
endif
/bin/rm -f ${out}
set temp = (`echo $1 | tr 'a-z' 'A-Z'`)


cat > ${out} << END
#ifndef ${temp}CIPROTO_H
#define ${temp}CIPROTO_H
#include <shortonxdef.h>
#include <utilcitypedef.h>
#include <extrapcitypedef.h>
END

if  (${PACKAGE} == extrap) then 
cat >! $1"citypedef.h" << END
#ifndef EXTRAPCITYPEDEF_H
#define EXTRAPCITYPEDEF_H
END
set out1 = $1"citypedef.h"
else 
set out1 = ${out}
endif
grep ci_typedef ${file_list} | sed 's/^.*://g' >> ${out1}
grep ci_proto ${file_list} | sed 's/^.*://g' >> ${out}

cat >> ${out} << END
#endif
END

if  (${PACKAGE} == extrap) then 
cat >> $1"citypedef.h" << END
#endif
END
endif

