*
*     ... THIS FUNCTION RETURNS THE DEPTH IN THE ATMOSPHERE ...
*     ... BETWEEN THE POINT WITH RADIUS_VECTOR R(3) AND     ...
*     ... INFINITY  ALONG THE INCOMING DIRECTION            ...
*     ... DATE: 09.06.2002
*     ... AUTHOR: D.V. NAUMOV
*
      REAL FUNCTION DEPTH(R)
      IMPLICIT NONE
#include "detector.inc"
#include "event.inc"
      INTEGER i_aux_hbk, ID
      REAL R(3), PI, HALF_PI, Hstar, H_INT,THETA_INT,H_R,THETA_R
      REAL DEPTH_R, DEPTH_INT, HXY, DEPTH_INTEGRAL
      SAVE i_aux_hbk
      DATA i_aux_hbk/0/
      LOGICAL HEXIST
*
      PI      = ACOS(-1.)
      HALF_PI = PI/2
      ID = 100*ATMO
*     
      CALL IMPACT(R,Hstar,H_INT,THETA_INT,H_R,THETA_R)
      IF(THETA_R.LE.HALF_PI) THEN
c         DEPTH_R = HXY(ID+CURV,THETA_R,H_R)
        DEPTH_R = DEPTH_INTEGRAL(THETA_R,H_R)
      ELSE        
         THETA_R = PI - THETA_R
c         DEPTH_R = 2*HXY(ID+CURV,Hstar,HALF_PI)-HXY(ID+CURV,THETA_R,H_R)
         DEPTH_R = 2*DEPTH_INTEGRAL(HALF_PI,Hstar)-
     &        DEPTH_INTEGRAL(H_R,THETA_R)
      ENDIF
      DEPTH = DEPTH_R
 1000 CONTINUE
      END
