      SUBROUTINE CHERENKOV_SPECTRUM(randomwave)
      IMPLICIT NONE
#include "detector.inc"
#include "random.inc"
*
*     ... OUTPUT VARIAVLES ...
      REAL randomwave
*     ... LOCAL VARIABLES  ...
      REAL WIDTH,W(1000),ww
      INTEGER init,i,BINS
      SAVE init
      DATA init/0/
*
      BINS  =  1000
      WIDTH = (WAVE(2)-WAVE(1))/BINS
      IF(init.EQ.0) THEN
        DO i = 1, BINS
          ww    = WAVE(1) + i*WIDTH - WIDTH/2
          w(i) = 1/ww**2
        ENDDO
        CALL RNHPRE(W,BINS)
        init = 1
      ENDIF
*
      CALL RNHRAN(W,BINS,WAVE(1),WIDTH,randomwave)
      END
