      SUBROUTINE DEFINE_PIXEL(R,mx,my,THETA_X,THETA_Y)
      IMPLICIT NONE
#include "detector.inc"  
*     ... EXTERNAL FUNCTIONS ...
*     ... INPUT VARIABLES ...
      REAL R(3)
*     ...  OUTPUT VARIABLES ...
      INTEGER mx,my
*     ... LOCAL VARIABLES ...
      REAL H,THETA_X,THETA_Y,X_PIXEL(1000),Y_PIXEL(1000)
      INTEGER i_pmt_angles,I
      SAVE i_pmt_angles,X_PIXEL,Y_PIXEL
      DATA i_pmt_angles/0/

*
      H = ISS(3) - R(3)
      THETA_X = 0
      THETA_Y = 0
      IF(R(1).NE.0.) THETA_X = ATAN(R(1)/H)
      IF(R(2).NE.0.) THETA_Y = ATAN(R(2)/H)
*     ... INITIALIZE PMT'S ANGLES ...
      IF(i_pmt_angles.EQ.0) THEN
         DO I = 1, N_PMT
            X_PIXEL(I) = FOV*(2*I-(N_PMT+1))/(N_PMT-1)
            Y_PIXEL(I) = FOV*(2*I-(N_PMT+1))/(N_PMT-1)
         ENDDO
         i_pmt_angles = 1
      ENDIF
*     ...DEFINE PIXEL ...
      DO I = 1, N_PMT
         IF(X_PIXEL(I).LE.THETA_X.AND.THETA_X.LT.X_PIXEL(I+1)) mx = I
         IF(Y_PIXEL(I).LE.THETA_Y.AND.THETA_Y.LT.Y_PIXEL(I+1)) my = I
      ENDDO
      END
