      SUBROUTINE FLUOR_SPECTRUM(randomwave)
      IMPLICIT NONE
#include "fluor.inc"
#include "detector.inc"
#include "random.inc"

*     ... LOCAL VARIABLES ...
      REAL total_weight, FLUORRELWEIGHTS(13),UNIT(14)
      INTEGER i
*     ... OUTPUT VARIABLES ...
      REAL randomwave
*
      total_weight = 0.
      DO i = 1, 13
        IF(WAVE(1).LE.FLUORWAVES(i).AND.FLUORWAVES(i).LE.WAVE(2)) THEN
          total_weight = total_weight + FLUORWEIGHTS(i)
        ENDIF
      ENDDO
*
      DO i = 1, 13
        IF(WAVE(1).LE.FLUORWAVES(i).AND.FLUORWAVES(i).LE.WAVE(2)) THEN
          FLUORRELWEIGHTS(i) = FLUORWEIGHTS(i)/total_weight
        ENDIF
      ENDDO
*
      UNIT(1)  = 0.
      DO i = 2, 14
        IF(WAVE(1).LE.FLUORWAVES(i).AND.FLUORWAVES(i).LE.WAVE(2)) THEN
          UNIT(i) = UNIT(i-1) + FLUORRELWEIGHTS(i-1)
        ENDIF
      ENDDO
*
      CALL RANLUX(RVEC,LEN)
      DO i = 1, 14
        IF(WAVE(1).LE.FLUORWAVES(i).AND.FLUORWAVES(i).LE.WAVE(2)) THEN
          IF(UNIT(i).LE.RVEC(1).AND.RVEC(1).LT.UNIT(i+1)) THEN
            randomwave = FLUORWAVES(i)
          ENDIF
        ENDIF  
      ENDDO
      END
      
