      SUBROUTINE BOOK_NTUPLE
*
#include "detector.inc"
#include "event.inc"
#include "cwntvars.inc"
      COMMON/quest/IQUEST(100)
      COMMON/SLATE/ISL(40) 
*
      INTEGER ISTAT
      LOGICAL NTNAME_EXIST
      CHARACTER*4 year
      CHARACTER*2 month,day,hour,minute,second
*
      INQUIRE(File='events.cwn',EXIST=NTNAME_EXIST)
      IF(NTNAME_EXIST) THEN
        CALL DATIME(ID,IT)
        WRITE(year,'(i4)')  ISL(1)
        WRITE(month,'(i2)') ISL(2)
        WRITE(day,'(i2)')   ISL(3)
        WRITE(hour,'(i2)')  ISL(4)
        WRITE(minute,'(i2)')ISL(5)
        WRITE(second,'(i2)')ISL(6)
        im1=1
        id1=1
        ih1=1
        imi1=1
        is1=1
        IF(month(1:1).EQ.' ') im1 = 2
        IF(day(1:1).EQ.' ')   id1 = 2
        IF(hour(1:1).EQ.' ')  ih1 = 2
        IF(minute(1:1).EQ.' ')imi1 = 2
        IF(second(1:1).EQ.' ')is1 = 2
        NTNAME = 'events.'//day(id1:2)//'-'//month(im1:2)//'-'//year/
     &       /'-'//':'//hour(ih1:2)//':'//minute(imi1:2)//':'/
     &       /second(is1:2)//'.cwn'
        WRITE(6,*) 'File ', NTNAME,' is open' 
      ELSE
        NTNAME = 'events.cwn'
      ENDIF
      NTUPLE = 1
      IQUEST(10)=256000
      CALL HROPEN(1,'EVENT',NTNAME,'NQE',1024,ISTAT)
      If (ISTAT.Ne.0) Then
         Print*, 'Error in opening file ...'
         Stop
      Endif
*
      CALL HBNT(NTUPLE,'EVENT',' ')
      CALL HBSET ('BSIZE',1024,IERR)
      IF(IERR.NE.0) THEN
        WRITE(6,*) 'HBSET ERROR, STOP'
        STOP
      ENDIF
      CALL HBNAME(NTUPLE,'GENINFO',run,CHTAGS_GENINFO)
      CALL HBNAME(NTUPLE,'SHOWER',ns,'ns[0,500],'//CHTAGS_SHOWER)
      CALL HBNAME(NTUPLE,'FLUOR',nf,'nf[0,500],'//CHTAGS_FLUOR)
      CALL HBNAME(NTUPLE,'CEREN',nc,'nc[0,500],'//CHTAGS_CEREN)
*     
      END
 

