      SUBROUTINE MESSAGE_INI
#include "detector.inc"
#include "event.inc"
      WRITE(6,*) ' '
      WRITE(6,*) 'THE PARAMETERS USED:'
      WRITE(6,*) ' '
      WRITE(6,2)  R_EARTH
      WRITE(6,3)  ISS(1),ISS(2),ISS(3)
      WRITE(6,4)  FOV
      WRITE(6,5)  ANG_RES
      WRITE(6,6)  N_PMT
*
 1    FORMAT(32('*'))
 2    FORMAT(1x,'=====>',1x,'EARTH RADIUS:',30x,F6.1,2x,'km')
 3    FORMAT(1x,'=====>',1x,'ISS RADIUS VECTOR:',22x,3(F6.1,1x),2x,'km')
 4    FORMAT(1x,'=====>',1x,'FIELD OF VIEW OF THE DETECTOR:',11x,F6.1,
     +     2x,'degrees')
 5    FORMAT(1x,'=====>',1x,'ONE PIXEL ANGULAR RESOLUTION:',11x,F9.4,2x,
     +     'rad')
 6    FORMAT(1x,'=====>',1x,'NUMBER OF PIXELS:',24x,I5)

      WRITE(6,*) ' '
      IF(CH_FLAG.EQ.1) THEN
         WRITE(6,*) 'YOU ASKED TO DO THE CHERENKOV LIGHT'
      ENDIF
      IF(CH_FLAG.EQ.0) THEN
         WRITE(6,*) 'YOU ASKED NOT TO DO THE CHERENKOV LIGHT'
      ENDIF
      IF(CH_FLAG.NE.0.AND.CH_FLAG.NE.1) THEN
         CH_FLAG = 1
         WRITE(6,*) 'THE CHERENKOV LIGHT WILL BE SIMULATED AS A DEFAULT'
      ENDIF
*
      IF(FL_FLAG.EQ.1) THEN
         WRITE(6,*) 'YOU ASKED TO DO THE FLUORESCENT LIGHT'
      ENDIF
      IF(FL_FLAG.EQ.0) THEN
         WRITE(6,*) 'YOU ASKED NOT TO DO THE FLUORESCENT LIGHT'
      ENDIF
      IF(FL_FLAG.NE.0.AND.FL_FLAG.NE.1) THEN
         FL_FLAG = 1
         WRITE(6,*) 'THE FLUORESCENT LIGHT WILL BE SIMULATED' 
         WRITE(6,*) 'AS A DEFAULT'
      ENDIF  
*

      END
