      SUBROUTINE ESAF_OUTPUT_HEADER(Lmax)
      IMPLICIT NONE
#include "detector.inc"
#include "event.inc"
#include "shower.inc" 
#include "cwntvars.inc"

      INTEGER of,LUN,ID,IT,EE,AA, GENTYPE,INPARTID 
      SAVE of
      DATA of/0/,LUN/20/,GENTYPE/5/
      REAL Lmax
*
      IF(of.EQ.0) THEN
        OPEN(UNIT=LUN,file='eusosim_output',STATUS='UNKNOWN')
        of = 1
      ENDIF
*
      EE = INT(LOG10(EINTR(1)))
      IF(EINTR(1).NE.EINTR(2)) EE = 99
      AA = INT(THETAR(1))
      IF(THETAR(1).NE.THETAR(2)) AA = 99
      CALL DATIME(ID,IT)
      IF(TYPER.GE.1) THEN
        INPARTID = TYPER*100 + ZNUC
      ELSE
        INPARTID = TYPER
      ENDIF
      WRITE(LUN,*)   'RUNHEADR RUNH'
      WRITE(LUN,100) 'RUNNUMBR ',RUN,SHOW,INT(TYPE),EE,AA
      WRITE(LUN,*)   'RUNDATE ', ID
      WRITE(LUN,*)   'RGENTYPE ', GENTYPE
      WRITE(LUN,101) 'RGENTREE ', 3,1,1,2,1,0
      WRITE(LUN,*)   'ROBSLEVL ', observ*1000 ! OBSERVATION LEVEL in meters
      WRITE(LUN,*)   'RENRGSLP ', POWER
      WRITE(LUN,*)   'RENRGLOW ', EINTR(1)/10**9 ! in GeV
      WRITE(LUN,*)   'RENRGYUP ', EINTR(2)/10**9 ! in GeV
      WRITE(LUN,*)   'RTHETLOW ', THETAR(1)
      WRITE(LUN,*)   'RTHETAUP ', THETAR(2)
      WRITE(LUN,*)   'RISSHEIG ', ISS(3)*1000 ! ISS HEIGHT in meters
      WRITE(LUN,*)   'RLENSDIA ', SDIA
      WRITE(LUN,*)   'EVTHEADR EVTH'
      WRITE(LUN,*)   'EVTNUMBR ', EVENT
      WRITE(LUN,*)   'EPRMPCID ', INPARTID
      WRITE(LUN,*)   'EPRMENRG ', EINT/10**9 ! in GeV
      WRITE(LUN,*)   'EX0COMES ', XINT*1000  ! in meters
      WRITE(LUN,*)   'EY0COMES ', YINT*1000  ! in meters
      WRITE(LUN,*)   'EZ0COMES ', (ZINT - R_EARTH)*1000  ! in meters
      WRITE(LUN,*)   'ELDIRCOS ', SIN(THETA)*COS(PHI)
      WRITE(LUN,*)   'EMDIRCOS ', SIN(THETA)*SIN(PHI)
      WRITE(LUN,*)   'ENDIRCOS ', COS(THETA)
      WRITE(LUN,*)   'EPOLANGD ', THETA
      WRITE(LUN,*)   'EAZIANGD ', PHI
      WRITE(LUN,*)   'EXDMPPOS ', RINT(1) - Lmax*SIN(THETA)*COS(PHI)
      WRITE(LUN,*)   'EYDMPPOS ', RINT(2) - Lmax*SIN(THETA)*SIN(PHI)
      WRITE(LUN,*)   'EZDMPPOS ', RINT(3) - Lmax*COS(THETA)


*
 100  FORMAT(1x,A,I2,I1,I1,I2,I2)
 101  FORMAT(1x,A,6(I1))
      END
