*     ... A SET OF DIFFERENT SHOWER PARAMETRIZATIONS ...
*     ... INPUT: SHOW (INTEGER) PARAMETER            ...
*     ... OUTPUT: x  (depth in g/cm^2)               ...
*     ...         Ne (number of electrons)           ...
*     ...         t  (depth in the radiation units)  ...
*     ...         s  (shower age)                    ...
      SUBROUTINE SHOWER_PARAMETRIZATION(x,Ne,t,s)
      IMPLICIT NONE      
#include "shower.inc"
      REAL x,Ne,t,s
*
      IF(SHOW.EQ.1) CALL QGSJET(x,Ne,t,s)
      END
